
Redmine - Defect #9042

projects.atom displays a 500 error

2011-08-11 17:57 - Sylvain Hamel

Status: Closed Start date: 2011-08-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.2.1

Description

I have a problem with  projects.atom in particular. All other .atom pages display correctly except projects.

I am using Redmine 1.2.1.stable (MySQL)

This redmine instance is a VM that I downloaded from Turnkey Linux and then upgraded.

The projects.atom page didnt work in version 1.05 and doesnt work in version 1.2.1 .

Here is the content of my log file :

Processing ProjectsController#index to atom (for 10.75.1.2 at 2011-08-11 15:30:26) [GET]

Parameters: {"format"=>"atom", "action"=>"index", "controller"=>"projects"}

NoMethodError (undefined method `<=>' for nil:NilClass):

app/controllers/application_controller.rb:330:in `render_feed'

app/controllers/application_controller.rb:330:in `sort!'

app/controllers/application_controller.rb:330:in `render_feed'

app/controllers/projects_controller.rb:61:in `index'

app/controllers/projects_controller.rb:49:in `index'

passenger (2.2.14) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

passenger (2.2.14) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:441:in `start_request_handler'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_application'

passenger (2.2.14) lib/phusion_passenger/utils.rb:252:in `safe_fork'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_application'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:163:in `start'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:222:in `start'

passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /var/www/railsapp/public/500.html (500 Internal Server Error)

History

#1 - 2017-04-15 04:47 - Go MAEDA

- Category set to Feeds

- Status changed from New to Closed

- Resolution set to Cant reproduce
I am closing this issue because Redmine 1.2.1 is too old.

Please open a new issue if the problem persists in the latest version of Redmine.
